# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'chef/knife/hitori/version'

Gem::Specification.new do |spec|
  spec.name          = 'knife-hitori'
  spec.version       = Chef::Knife::Hitori::VERSION
  spec.authors       = ['Ken Morishita']
  spec.email         = %w(mokemokechicken@gmail.com)
  spec.description   = %q{knife subcommand}
  spec.summary       = %q{knife subcommand}
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)

  spec.add_dependency 'chef', '~> 11.4'
  spec.add_dependency 'knife-ec2', '~> 0.6'
  spec.add_dependency 'erubis', '~> 2.7'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
end
