require 'spec_helper'

require 'chef/knife/hitori_bootstrap'

describe 'HitoriBootstrap' do
  before do
    @obj = Chef::Knife::HitoriBootstrap.new(%w(-R api))
  end

  describe :run do
    it 'should call HitoriPrepare and HitoriCook' do
      Chef::Knife::HitoriPrepare.any_instance.should_receive(:run).once
      Chef::Knife::HitoriCook.any_instance.should_receive(:run_remote).once
      @obj.run
    end
  end
end
